Program Siren;   { Written by Kenneth Manos 05/01/87 - Cambridge, Ma. }
{$C+}            { Sound up to 6 different sirens.                    }
                 { Stack any number or combination on command line.   }

Var
  I,J,K,Frequency: integer;

Procedure Siren1;
begin
  for Frequency := 300 to 3000 do
  begin
    Delay(1);
    Sound(Frequency);
  end;
  Delay(1000);
  for Frequency := 3000 downto 300 do
  begin
    Delay(1);
    Sound(Frequency);
  end;
  NoSound;
end;

Procedure Siren2;
begin
  for I := 1 to 5 do
  begin
    for Frequency := 300 to 1500 do
    begin
      Delay(1);
      Sound(Frequency);
    end;
  end;
  NoSound;
end;

Procedure Siren3;
begin
  for I := 1 to 30 do
  begin
    Frequency := 100;
    J := 1;
    while Frequency < 5000 do
    begin
      Delay(1);
      Sound(Frequency);
      Frequency := Frequency + J;
      J := J + 1;
    end;
    while Frequency > 100 do
    begin
      Delay(1);
      Sound(Frequency);
      Frequency := Frequency - J;
      J := J - 1;
    end;
    NoSound;
  end;
end;

Procedure Siren4;
begin
  for I := 1 to 25 do
  begin
    for Frequency := 1500 downto 500 do
    begin
      Delay(0);
      Sound(Frequency);
    end;
  end;
  NoSound;
end;

Procedure Siren5;
begin
 for I := 1 to 40 do
 begin
   Frequency := 1117;
   Sound(Frequency);
   Delay(35);
   Frequency := 213;
   Sound(Frequency);
   Delay(35);
   Frequency := 1653;
   Sound(Frequency);
   Delay(35);
   Frequency := 171;
   Sound(Frequency);
   Delay(35);
 end;
  NoSound;
end;

Procedure Siren6;
begin
 for I := 1 to 10 do
 begin
   Frequency := 817;
   Sound(Frequency);
   Delay(400);
   Frequency := 527;
   Sound(Frequency);
   Delay(400);
 end;
  NoSound;
end;

Begin
  if (ParamCount = 0) then
    Siren1;
  for K := 1 to ParamCount do
  begin
    if (ParamStr(K) = '1') then
      Siren1
    else
    if (ParamStr(K) = '2') then
      Siren2
    else
    if (ParamStr(K) = '3') then
      Siren3
    else
    if (ParamStr(K) = '4') then
      Siren4
    else
    if (ParamStr(K) = '5') then
      Siren5
    else
    if (ParamStr(K) = '6') then
      Siren6
    else
      Writeln(' ** Invalid option chosen: "',ParamStr(K),'" must be 1-6 **');
 end;
End.
