' *****************************************************************
' **   Name:         Sound.H                                     **
' **   Type:         Include File to ADLPLAY.BAS                 **
' **   Purpose:      Define  SubRoutines and Constants           **
' **   Language      MicroSoft QuickBasic 4.5                    **
' *****************************************************************
'

DECLARE SUB Soundcard CDECL (BYVAL s0 AS INTEGER, BYVAL s1 AS INTEGER, BYVAL s2 AS INTEGER, BYVAL s3 AS INTEGER, BYVAL s4 AS INTEGER, BYVAL s5 AS INTEGER)
DECLARE SUB Initialize ()
DECLARE SUB StartTime ()
DECLARE SUB Tempo (beats)
DECLARE SUB SetVoice (voice%)
DECLARE SUB PlayNote (note%, Duration%, delay%, AfterH%, AfterL%)
DECLARE SUB StartSong ()
DECLARE SUB SetMode (Mode%)
DECLARE SUB Setinstrument (ARRAY%(), InsName$, num%, den%, ptr%)
DECLARE FUNCTION StripCString$ (CString$)
DECLARE SUB SetBack (Char%, Attr%)
DECLARE SUB OpenScreen ()
DECLARE SUB MakBox (Row%, Col%, Fore%, Back%, BoxWidth%, BoxLength%, Style%)
DECLARE SUB SaveScreen CDECL ()
DECLARE SUB RestoreScreen CDECL ()
DECLARE SUB GetDirData (Path$, DirEntry$(), Attribute%, EntryCount%)
DECLARE SUB GetDirectory (Path$)
DECLARE SUB ShowDir (Row%, Col%, TFore%, Fore%, Back%, BoxType%, ShowType%, ShowLen%, DirEntry$(), Reply%, Mark$)
DECLARE SUB BinSearch (InsName$, Eno%)
DECLARE SUB LoadBank (BankName$)
DECLARE SUB ScrlList (Row%, Col%, TFore%, Fore%, Back%, BType%, ListLen%, ShowLen%, ShowWid%, Items$(), Prompt$, Reply%, Mark$)
DECLARE SUB INTERRUPT (intnum AS INTEGER, inreg AS RegType, outreg AS RegType)
DECLARE SUB Pprint (Row%, Col%, Mess$)
DECLARE SUB ClrArea (Urow%, Ucol%, Brow%, Bcol%, Attr%)
DECLARE SUB InstruStats (PPOINTER%)
DECLARE SUB ShowIns (MaxRecord%)
DECLARE SUB Messout (Mess$)
DECLARE SUB ShowStats ()
DECLARE FUNCTION CheckCardStatus% ()
DECLARE SUB Vprint (Row%, Col%, Var%)
DECLARE SUB BinSearch (InsName$, Eno%)
DECLARE SUB LoadBank (BankName$)
DECLARE SUB ClrArea (Urow%, Ucol%, Brow%, Bcol%, Attr%)
DECLARE SUB InstruStats (PPOINTER%)
DECLARE SUB ShowIns (MaxRecord%)
DECLARE SUB Messout (Message$)
DECLARE SUB ShowStats ()
DECLARE FUNCTION CheckCardStatus% ()
DECLARE SUB Vprint (Row%, Col%, Var%)
DECLARE SUB SetInstrumentEvents (SongFile%, voice%)
DECLARE SUB SetPitchEvents (SongFile%)
DECLARE SUB SetTempoEvents (SongFile%)
DECLARE SUB SetVolumeEvents (SongFile%)


CONST FSDINIT = 0
CONST FSDRELTIMESTART = 2
CONST FSDSETSTATE = 3
CONST FSDGETSTATE = 4
CONST FSDFLUSH = 5
CONST FSDSETMODE = 6
CONST FSDGETMODE = 7
CONST FSDSETRELVOLUME = 8
CONST FSDSETTEMPO = 9
CONST FSDSETTRANPOSE = 10
CONST FSDGETTRANSPOSE = 11
CONST FSDSETACTVOICE = 12
CONST FSDGETACTVOICE = 13
CONST FSDPLAYNOTEDEL = 14
CONST FSDPLAYNOTE = 15
CONST FSDSETTIMBRE = 16
CONST FSDSETPITCH = 17
CONST FSDSETTICKBEAT = 18
CONST FSDNOTEON = 19
CONST FSDNOTEOFF = 20
CONST FSDTIMBRE = 21
CONST MAXPARAMETERS = 1200
CONST MELODIC = 0
CONST PERCUSSIVE = 1
CONST MAXVOICES = 10
CONST NULL = 0
CONST NOTEOFFSET = 60
CONST PARAMETERS = 28
CONST CARDON = 1
CONST CARDOFF = 0
COMMON SHARED Eno%, InsName$, BankName$, IECount%

